## ifrench 1.4

=== Makefile ===
#-------La division Robotique de l'Institut de recherche d'Hydro-Qubec--------
# 
# Nom     : 
# Fonction: 
# Fichiers: Makefile
# Notes   : 
# 
# Cr    : 18 juin 93 ---------- Martin Boyer <mboyer@ireq-robot.hydro.qc.ca>
# Modifi : 31 dcembre 94 ----4- Martin Boyer <mboyer@ireq-robot.hydro.qc.ca>
#           Copyright (c) 1993, 1994 Martin Boyer et Hydro-Qubec
# 
# Historique: 
#------------------------------------------------------------------------------

# Prendre soin de bien dfinir cette variable:
LIBDIR	= /depot/public/lib/ispell

# Il peut tre requis de changer celle-ci aussi:
HASH = $(LIBDIR)/buildhash

# buildict n'est pas requis pour l'utilisation de francais-IREQ,
# mais si vous dcidez de modifier le dictionnaire, la variable suivante
# devrait indiquer la chemin du programme buildict:
BUILDICT = ../../addons/buildict/buildict


########################################################################
# Normalement, rien de ce qui apparat ci-dessous ne devrait tre chang
########################################################################

DICTS = Communs.dico Communs-V.dico Acronymes.dico \
	Propres.dico Universel.dico \
	Verbes-1.dico Verbes-1-VI.dico Verbes-1-NV.dico \
	Verbes-2.dico

DICTS_ANGLAIS = Acronyms.dict Universal.dict

BUILDICT_OPT = -vV
AFFIXES = ./francais.aff

all: francais.hash

# Pour la plupart des gens, ce fichier existe dj.
francais.dico: $(DICTS) $(DICTS_ANGLAIS) $(AFFIXES)
	csh -fc 'time $(BUILDICT) $(BUILDICT_OPT) -l $(AFFIXES) \
		 $(DICTS) \
		 $(DICTS_ANGLAIS) \
		 > $@'

francais.hash: francais.dico
	$(RM) francais.dico.cnt francais.dico.stat
	$(HASH) francais.dico $(AFFIXES) francais.hash

install: francais.hash
	install francais.hash $(LIBDIR)
	install $(AFFIXES) $(LIBDIR)

# Ne pas faire ceci sans buildict!
# francais.dico requiert buildict et d'importantes ressources informatiques
realclean: clean
	$(RM) francais.dico

clean:
	$(RM) francais.hash francais.dico.cnt francais.dico.stat

=== debian/changelog ===
ifrench (1.4-30) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on dictionaries-common-dev
      and ispell.
    + ifrench: Drop versioned constraint on dictionaries-common in Depends.
    + myspell-fr: Drop versioned constraint on dictionaries-common in Depends.

  [ Ryan Kavanagh ]
  * Bump standards version to 4.6.0, no changes required
  * Bump copyright years

 -- Ryan Kavanagh <rak@debian.org>  Thu, 06 Jan 2022 16:44:07 -0500

ifrench (1.4-29) unstable; urgency=medium

  * Switch from ISO-8859 to UTF-8
  * Drop national-encoding lintian warning overrides

 -- Ryan Kavanagh <rak@debian.org>  Sun, 10 Jan 2021 19:22:24 -0500

ifrench (1.4-28) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces

  [ Ryan Kavanagh ]
  * Use debhelper-compat 13 and drop compat file
  * Switch to DEP5 copyright format
  * override spelling-error-in-patch-description, not helpful
  * Bump standards version to 4.5.1
  * Set Rules-Requires-Root: no
  * Remove trailing whitespace in debian/*
  * Drop outdated lintian overrides
  * Set version in watch file
  * Override wrong-section-according-to-package-name myspell-fr =>
    localization
  * Override national-encoding lintian warnings

 -- Ryan Kavanagh <rak@debian.org>  Sun, 03 Jan 2021 11:00:14 -0500

ifrench (1.4-27) unstable; urgency=medium

  [ Ryan Kavanagh ]
  * New maintainer (Closes: #521391)
  * Make Vcs-* fields canonical
  * Bump standards version to 3.9.6
  * Don't timestamp french.mwl.gz ; we want builds to be reproducible
  * Added empty watch file describing the lack of upstream to convince lintian
    to stop complaining
  * Override package-contains-broken-symlink for hash files: targets are
    created at install time
  * Switch to Debian source format 3.0 (quilt). Factored the inline patch
    into:
    + 01_ISO-8859.diff: re-encoding from ifrench (1.4-18)
    + 02_Makefile.diff: General Makefile hygiene
  * Add a gbp.conf to make using git-buildpackage easier

  [ Mario Lang ]
  * Fix Vcs-* URL in debian/control.

 -- Ryan Kavanagh <rak@debian.org>  Thu, 23 Oct 2014 10:42:26 +0400

ifrench (1.4-26) unstable; urgency=low

  * QA upload for rebuilding with new ispell.
  * Make ifrench package architecture-independent, use ispell-autobuildhash
    at package install time to generate ispell hash.
  * info-ispell: add Auto-Compat field (requires recent version of
    dictionaries-common-dev).
  * Set debian/source/format to 1.0.
  * Provide info-hunspell file for installdeb-hunspell.

  * debian/rules:
    + don't call buildhash command, install munched word list instead;
    + remove configure target, it does nothing;
    + francais.dico is a generated file, but still provided by upstream,
      save the upstream version in build, restore it in clean target;
    + use --srcdir option of installdeb-myspell to actually install the
      fr.{dic,aff} files together with symlinks;
    + call installdeb-hunspell;
    + use ispellaff2myspell instead of is2my-spell.pl for generating the aff
      file for myspell;
    + switch to tiny debhelper rules file format.

  * debian/control:
    + bump build-dependency on ispell to >= 3.3.02;
    + bump (build-)dependency on dictionaries-common(-dev) to >= 1.10.6~;
    + bump build-dependency on debhelper to >= 8;
    + add hunspell-tools as an alternate build-dependency to myspell-tools;
    + bump Standards-Version to 3.9.1;
    + remove ancient versioned conflicts with openoffice.org;
    + remove alternate dependency on openoffice.org-updatedict;
    + sort dependency fields with wrap-and-sort from ubuntu-dev-tools;
    + move most build-depends into build-depends-indep;
    + make myspell-fr to provide hunspell-dictionary packages;
    + drop articles from descriptions (lintian).

  * debian/compat: bump debhelper compatibility level to v8.
  * Fix spelling typo in README.Debian (lintian).

 -- Robert Luberda <robert@debian.org>  Tue, 29 Mar 2011 00:39:27 +0200

ifrench (1.4-25) unstable; urgency=low

  * QA upload
  * move dict to /usr/share/hunspell and add compatibility symlinks
    (closes: #541946)
  * depend on ${misc:Depends}, remove hardcoded debconf dep

 -- Rene Engelhard <rene@debian.org>  Sat, 19 Sep 2009 22:20:31 +0200

ifrench (1.4-24) unstable; urgency=low

  * QA upload
  * add symlinks fr_*.{dic,aff} -> fr.{dic,aff} (closes: #517785)

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Mar 2009 19:22:29 +0100

ifrench (1.4-23) unstable; urgency=low

  * Orphaning this package
  * Bump Standards-Version to 3.8.1
  * Bump debhelper compatibility to 7
  * debian/rules: make use of dh_prep

 -- Francois Marier <francois@debian.org>  Fri, 27 Mar 2009 22:18:55 +1300

ifrench (1.4-22) unstable; urgency=low

  * Compress using bzip2
  * Install this dictionary for fr_CH and fr_LU as well (LP#139570)

 -- Francois Marier <francois@debian.org>  Sun, 24 Feb 2008 23:49:04 +1300

ifrench (1.4-21) unstable; urgency=low

  * Adopt this package (closes: #464325)
  * Acknowledge NMU (closes: #426539)
  * Added LISEZMOI to the docs, after transcoding it to UTF-8
  * Remove watch file since the original site doesn't exist anymore
  * Cleanup and clarify debian/copyright: there is no more upstream
    developer (closes: #406414)
  * Bump Standards-Version to 3.7.3 and debhelper compatibility to 6
  * Add a dependency on debconf
  * Move the emacs file to doc/examples
  * Mention the git collab-maint repository in debian/control

 -- Francois Marier <francois@debian.org>  Thu, 07 Feb 2008 19:35:58 +1300

ifrench (1.4-20.1) unstable; urgency=low

  * NMU
  * build-depend on myspell-tools (closes: #426539)

 -- Rene Engelhard <rene@debian.org>  Mon, 02 Jul 2007 16:49:08 +0200

ifrench (1.4-20) unstable; urgency=low

  * Changed priority to optional
  * Fix affix files (closes: #308772)
  * Rebuild francais.dico



=== debian/control ===
Source: ifrench
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Section: text
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
Build-Depends-Indep: dictionaries-common-dev,
                     hunspell-tools | myspell-tools,
                     ispell,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/ifrench.git
Vcs-Browser: https://salsa.debian.org/debian/ifrench

Package: ifrench
Architecture: all
Depends: dictionaries-common,
         ispell,
         ${misc:Depends},
Provides: ispell-dictionary,
Conflicts: ifrench-gut,
Suggests: wfrench,
Description: French dictionary for ispell (Hydro-Quebec version)
 This is a French dictionary, to be used with the ispell program,
 version 3.1.04 and following. The dictionary contains roughly
 50,000 roots, which expand to about 220,000 words.
 .
 This is the Martin Boyer and Hydro-Quebec version.
 You may prefer to use the GUTenberg version installed by the
 ifrench-gut package.

Package: myspell-fr
Architecture: all
Depends: dictionaries-common,
         ${misc:Depends},
Provides: hunspell-dictionary,
          hunspell-dictionary-fr,
          myspell-dictionary,
          myspell-dictionary-fr,
Conflicts: myspell-fr-fr,
           myspell-fr-gut,
           openoffice.org-spellcheck-fr-fr,
Description: French dictionary for myspell (Hydro-Quebec version)
 This is a French dictionary, to be used with myspell,
 version 3.1.04 and following. The dictionary contains roughly
 50,000 roots, which expand to about 220,000 words.
 .
 This is the Martin Boyer and Hydro-Quebec version.
 You may prefer to use the GUTenberg version installed by the
 myspell-fr-gut package.

=== debian/rules ===
#!/usr/bin/make -f

IFRENCH=$(CURDIR)/debian/ifrench
MYSPELL_FR=$(CURDIR)/debian/myspell-fr

%:
	dh "$@"


override_dh_auto_build:
	[ -e francais.dico.upstream ] || mv francais.dico francais.dico.upstream
	rm -f francais.dico
	# ispell-fr
	$(MAKE) francais.dico
	# myspell-fr
	ispellaff2myspell --myheader debian/myspell.header \
	                  --charset=latin1 \
	                  francais.aff > fr.aff
	wc -l < francais.dico > francais.cnt
	cat francais.cnt francais.dico > fr.dic

override_dh_auto_clean:
	[ ! -e francais.dico.upstream ] || mv francais.dico.upstream francais.dico
	rm -f francais.cnt francais.stat francais.hash
	rm -f fr.aff fr.dic

override_dh_auto_install:
	# myspell-fr
	installdeb-myspell  -p myspell-fr --srcdir=$(CURDIR)
	installdeb-hunspell -p myspell-fr
	# ispell-fr
	installdeb-ispell   -p ifrench
	dh_installdirs      -p ifrench -P $(IFRENCH)
	install -m 0644 LISEZMOI      $(IFRENCH)/usr/share/doc/LANG/fr/ifrench
	install -m 0644 francais.aff  $(IFRENCH)/usr/lib/ispell/french.aff
	install -m 0644 francais.dico $(IFRENCH)/usr/share/ispell/french.mwl
	gzip -9nf $(IFRENCH)/usr/share/ispell/french.mwl

=== debian/watch ===
# A watch file to get lintian to stop complaining about a lacking watch file.
#
# ifrench has long been abandoned upstream. Hence, there's nowhere to watch for
# new upstream releases.
version=4
